Bug 893918 - Clicking on Home Page Panel produces immediate return to Home Page -- ruler does not load and show
Summary: Clicking on Home Page Panel produces immediate return to Home Page -- ruler d...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sugar-ruler
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalpa Welivitigoda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 957194 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-10 09:00 UTC by Robert Lightfoot
Modified: 2015-02-17 14:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 14:39:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert Lightfoot 2013-01-10 09:00:45 UTC
Description of problem:
Clicking on Home Page Panel produces immediate return to Home Page -- ruler does not load and show

Version-Release number of selected component (if applicable):
F18-Final-RC4-x86_64

How reproducible:
Every Time

Steps to Reproduce:
1. Install and then run F18-RC4-Sugar-x86_64 DE
2. Click on Ruler Icon
3.
  
Actual results:
Immediate return to Home Page

Expected results:
Ruler Activity like i386 version should display

Additional info:

Comment 1 Robert Lightfoot 2013-05-14 00:49:40 UTC
Description of problem:
Clicking on Ruler on Home Page Panel produces immediate return to Home Page -- ruler does not load and show

Version-Release number of selected component (if applicable):
F19-Beta-TC4-x86_64

How reproducible:
Every Time

Steps to Reproduce:
1. Install and then run F19-RC4-Sugar-x86_64 DE
2. Click on Ruler Icon
3.
  
Actual results:
Immediate return to Home Page

Expected results:
Ruler Activity like i386 version should display

Additional info:

Comment 2 Peter Robinson 2013-05-14 20:19:35 UTC
Ruler works fine for me in F19. Can you please add the Ruler log from the "Log" activity. It should be under the date and be called com.laptop.Ruler-1.log

Comment 3 Robert Lightfoot 2013-05-16 01:28:13 UTC
** (sugar-activity:1318): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(sugar-activity:1318): Gtk-CRITICAL **: gtk_container_remove: assertion `gtk_widget_get_parent (widget) == GTK_WIDGET (container) || GTK_IS_ASSISTANT (container)' failed
1368667513.352434 WARNING root: No Gtk.AccelGroup in the top level window.
1368667513.353128 WARNING root: No Gtk.AccelGroup in the top level window.
/usr/bin/sugar-activity:42: Warning: g_hash_table_destroy: assertion `hash_table != NULL' failed
  activity = constructor(handle)
Terminated by signal 11, pid 1318 data (None, <open file '<fdopen>', mode 'w' at 0x3ef09c0>, dbus.ByteArray('e97d1787023cbb067e4f28fea4fc06352beb3142', variant_level=1))

Comment 4 Robert Lightfoot 2013-05-16 01:29:19 UTC
Peter the info you need is above in Comment 3

Comment 5 Peter Robinson 2013-05-17 19:00:32 UTC
Simon: I've seen this on F-18 but not on my F-19 netbook, any ideas/suggestions as to the problem?

Comment 6 Simon Schampijer 2013-05-27 08:47:36 UTC
Ruler (27) starts fine for me on F18 on the XO-4 (arm). On my 64-bit env F18 I can reproduce the error: http://fpaste.org/14713/13696442/

(gdb) run /home/erikos/sugar-build/build/out/install/bin/sugar-launch com.laptop.Ruler


#0  0x0000000000000051 in ?? ()
#1  0x0000003d7d804e31 in _pango_cairo_update_context (cr=cr@entry=0x1303630, context=0x1353050) at pangocairo-context.c:106
#2  0x0000003d7d805009 in pango_cairo_update_context (cr=cr@entry=0x1303630, context=<optimized out>) at pangocairo-context.c:171
#3  0x0000003d7d8051ba in pango_cairo_create_context (cr=0x1303630) at pangocairo-context.c:418
#4  0x0000003d7d8051ff in pango_cairo_create_layout (cr=<optimized out>) at pangocairo-context.c:452
#5  0x0000003162a05ed8 in ffi_call_unix64 () at ../src/x86/unix64.S:75
#6  0x0000003162a058e0 in ffi_call (cif=cif@entry=0x7fffffffa350, fn=fn@entry=0x3d7d8051f0 <pango_cairo_create_layout>, rvalue=rvalue@entry=0x7fffffffa330, avalue=avalue@entry=0x7fffffffa280)
    at ../src/x86/ffi64.c:486
#7  0x00007fffed60abbb in g_callable_info_invoke (info=info@entry=0x1303540, function=0x3d7d8051f0 <pango_cairo_create_layout>, in_args=in_args@entry=0x12f2720, n_in_args=n_in_args@entry=1, 
    out_args=out_args@entry=0x0, n_out_args=n_out_args@entry=0, return_value=return_value@entry=0x7fffffffa528, is_method=is_method@entry=0, throws=0, error=error@entry=0x7fffffffa4d8)
    at girepository/gicallableinfo.c:680
#8  0x00007fffed60bf1b in g_function_info_invoke (info=info@entry=0x1303540, in_args=0x12f2720, n_in_args=1, out_args=0x0, n_out_args=0, return_value=return_value@entry=0x7fffffffa528, error=error@entry=
    0x7fffffffa4d8) at girepository/gifunctioninfo.c:274
#9  0x00007fffed847f7a in _invoke_callable (function_ptr=0x0, callable_info=0x1303540, cache=0x1308760, state=0x7fffffffa4e0) at pygi-invoke.c:64
#10 pygi_callable_info_invoke (info=0x1303540, py_args=<optimized out>, kwargs={}, cache=<optimized out>, function_ptr=0x0, user_data=0x0) at pygi-invoke.c:662
#11 0x0000003161adc370 in ext_do_call (nk=0, na=<optimized out>, flags=<optimized out>, pp_stack=0x7fffffffa748, func=<built-in method invoke of gi.FunctionInfo object at remote 0x11d7248>)
    at /usr/src/debug/Python-2.7.3/Python/ceval.c:4408
#12 PyEval_EvalFrameEx (f=f@entry=
    Frame 0x12fba20, for file /home/erikos/sugar-build/build/out/install/lib64/python2.7/site-packages/gi/types.py, line 113, in function (args=(<Context at remote 0x11d2870>,), kwargs={}), 
    throwflag=throwflag@entry=0) at /usr/src/debug/Python-2.7.3/Python/ceval.c:2779
#13 0x0000003161addcbf in PyEval_EvalCodeEx (co=<optimized out>, globals=<optimized out>, locals=locals@entry=0x0, args=<optimized out>, argcount=argcount@entry=1, kws=0x1317008, kwcount=0, defs=0x0, 
    defcount=0, closure=(<cell at remote 0xeab750>,)) at /usr/src/debug/Python-2.7.3/Python/ceval.c:3330
#14 0x0000003161adc2b3 in fast_function (nk=<optimized out>, na=1, n=<optimized out>, pp_stack=0x7fffffffa9f8, func=<function at remote 0x1022b90>) at /usr/src/debug/Python-2.7.3/Python/ceval.c:4194
#15 call_function (oparg=<optimized out>, pp_stack=0x7fffffffa9f8) at /usr/src/debug/Python-2.7.3/Python/ceval.c:4119
#16 PyEval_EvalFrameEx (f=f@entry=
    Frame 0x1316e20, for file /home/erikos/Activities/Ruler.activity/util.py, line 107, in write (c=<cairo.Context at remote 0x11c7c30>, text='0', name='helvetica bold 12', size=<float at remote 0x12fd8d8>, centered=True, at_top=False, pc=<Context at remote 0x11d2870>, font=<FontDescription at remote 0x11c6ce8>), throwflag=throwflag@entry=0) at /usr/src/debug/Python-2.7.3/Python/ceval.c:2740
#17 0x0000003161addcbf in PyEval_EvalCodeEx (co=<optimized out>, globals=<optimized out>, locals=locals@entry=0x0, args=<optimized out>, argcount=argcount@entry=4, kws=0x1303de0, kwcount=1, defs=0xf42338, 
    defcount=2, closure=0x0) at /usr/src/debug/Python-2.7.3/Python/ceval.c:3330
#18 0x0000003161adc2b3 in fast_function (nk=<optimized out>, na=4, n=<optimized out>, pp_stack=0x7fffffffaca8, func=<function at remote 0xfa28c0>) at /usr/src/debug/Python-2.7.3/Python/ceval.c:4194
#19 call_function (oparg=<optimized out>, pp_stack=0x7fffffffaca8) at /usr/src/debug/Python-2.7.3/Python/ceval.c:4119
#20 PyEval_EvalFrameEx (f=f@entry=
    Frame 0x1303c00, for file /home/erikos/Activities/Ruler.activity/show_rulers.py, line 158, in draw_cm_ruler (self=<ScreenOfRulers(custom_unit_in_mm=<float at remote 0xffa6b8>, font_bold='helvetica bold 12', h=996, c=<cairo.Context at remote 0x11c7c30>, hw='unknown', offset_of_xo_side_from_screen=0, w=1680, font='helvetica 12', dpi=<float at remote 0xfe5db8>) at remote 0x1023e60>, c=<cairo.Context at remote 0x11c7c30>, dpi=<float at remote 0xfe5db8>, width=130, xm=0, x=<float at remote 0xffa6a0>, n=0), throwflag=throwflag@entry=0) at /usr/src/debug/Python-2.7.3/Python/ceval.c:2740
#21 0x0000003161addcbf in PyEval_EvalCodeEx (co=<optimized out>, globals=<optimized out>, locals=locals@entry=0x0, args=<optimized out>, argcount=argcount@entry=3, kws=0x12fcfd0, kwcount=0, defs=
    0x7fffecdc8ba8, defcount=1, closure=0x0) at /usr/src/debug/Python-2.7.3/Python/ceval.c:3330
#22 0x0000003161adc2b3 in fast_function (nk=<optimized out>, na=3, n=<optimized out>, pp_stack=0x7fffffffaf58, func=<function at remote 0xfa2cf8>) at /usr/src/debug/Python-2.7.3/Python/ceval.c:4194
#23 call_function (oparg=<optimized out>, pp_stack=0x7fffffffaf58) at /usr/src/debug/Python-2.7.3/Python/ceval.c:4119
#24 PyEval_EvalFrameEx (f=<optimized out>, throwflag=throwflag@entry=0) at /usr/src/debug/Python-2.7.3/Python/ceval.c:2740
#25 0x0000003161adcef1 in fast_function (nk=<optimized out>, na=4, n=<optimized out>, pp_stack=0x7fffffffb158, func=<function at remote 0xfa2b90>) at /usr/src/debug/Python-2.7.3/Python/ceval.c:4184
#26 call_function (oparg=<optimized out>, pp_stack=0x7fffffffb158) at /usr/src/debug/Python-2.7.3/Python/ceval.c:4119
#27 PyEval_EvalFrameEx (f=<optimized out>, throwflag=throwflag@entry=0) at /usr/src/debug/Python-2.7.3/Python/ceval.c:2740
#28 0x0000003161adcef1 in fast_function (nk=<optimized out>, na=3, n=<optimized out>, pp_stack=0x7fffffffb358, func=<function at remote 0xfa2b18>) at /usr/src/debug/Python-2.7.3/Python/ceval.c:4184
#29 call_function (oparg=<optimized out>, pp_stack=0x7fffffffb358) at /usr/src/debug/Python-2.7.3/Python/ceval.c:4119
#30 PyEval_EvalFrameEx (f=f@entry=
    Frame 0x112bd90, for file /home/erikos/Activities/Ruler.activity/RulerActivity.py, line 75, in __expose_event_cb (self=<MyCanvas(_object=<ScreenOfRulers(custom_unit_in_mm=<float at remote 0xffa6b8>, font_bold='helvetica bold 12', h=996, c=<cairo.Context at remote 0x11c7c30>, hw='unknown', offset_of_xo_side_from_screen=0, w=1680, font='helvetica 12', dpi=<float at remote 0xfe5db8>) at remote 0x1023e60>, _draw_ruler=True, _dpi=<float at remote 0xfe5db8>) at remote 0x10081e0>, drawing_area=<...>, event=<cairo.Context at remote 0x11c7c50>, cr=<cairo.Context at remote 0x11c7c30>), throwflag=throwflag@entry=0)
    at /usr/src/debug/Python-2.7.3/Python/ceval.c:2740
#31 0x0000003161addcbf in PyEval_EvalCodeEx (co=<optimized out>, globals=<optimized out>, locals=locals@entry=0x0, args=args@entry=0x10086f8, argcount=3, kws=kws@entry=0x0, kwcount=kwcount@entry=0, 
    defs=defs@entry=0x0, defcount=defcount@entry=0, closure=0x0) at /usr/src/debug/Python-2.7.3/Python/ceval.c:3330
#32 0x0000003161a6d926 in function_call (func=<function at remote 0xffc9b0>, arg=
    (<MyCanvas(_object=<ScreenOfRulers(custom_unit_in_mm=<float at remote 0xffa6b8>, font_bold='helvetica bold 12', h=996, c=<cairo.Context at remote 0x11c7c30>, hw='unknown', offset_of_xo_side_from_screen=0, w=1680, font='helvetica 12', dpi=<float at remote 0xfe5db8>) at remote 0x1023e60>, _draw_ruler=True, _dpi=<float at remote 0xfe5db8>) at remote 0x10081e0>, <...>, <cairo.Context at remote 0x11c7c50>), kw=
    0x0) at /usr/src/debug/Python-2.7.3/Objects/funcobject.c:526

Looks like an architecture dependent issue, looks like a pango issue.

Comment 7 Simon Schampijer 2013-05-27 09:03:25 UTC
A duplicate of this one is 957194.

Comment 8 Peter Robinson 2013-05-28 08:11:35 UTC
*** Bug 957194 has been marked as a duplicate of this bug. ***

Comment 9 Fedora End Of Life 2015-01-09 17:34:23 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-02-17 14:39:48 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.